/*
=======================================

Filename: list.css

=======================================
*/


/*==============================================================================
    common
==============================================================================*/
.archive_list {
    padding-top: 14rem;
}

.archive_list__content {
    width: 120rem;
    margin: auto;
}

/* 戻るボタン */
.media_archive__back_btn {
    display: block;
    font-size: 2rem;
    margin: 0 auto 10rem;
    width: fit-content;
}

.media_archive__back_btn:hover {
    opacity: .75;
}

@media screen and (max-width:767px) {
    .archive_list {
        padding-top: 12rem;
    }

    .archive_list__content {
        width: 33rem;
    }

    .media_archive__back_btn {
        font-size: 1.6rem;
        margin: 0 0 7rem;
    }
}


/*
=======================================

    header section

=======================================
*/
.archive_list__header {
    padding: 14rem 0 9rem;
}

.archive_list__header__title {
    font-size: 5.6rem;
}

.archive_list__header__stxt {
    font-size: 3rem;
}

.archive_list__header__text {
    padding-top: 4rem;
}

/* ========== レスポンシブ ========== */
@media screen and (max-width:767px) {
    .archive_list__header {
        padding: 0 0 7rem;
    }

    .archive_list__header__title {
        font-size: 4rem;
        line-height: 1;
    }

    .archive_list__header__stxt {
        display: block;
        font-size: 2rem;
        margin-top: .5rem;
    }

    .archive_list__header__text {
        padding-top: 5rem;
    }
}


/****************************************

    main section

****************************************/
.archive_list__main {
    padding: 6rem 0;
}

.media-archive_list .archive_list__main {
    padding-top: 4.5rem;
}

.archive_list__main--bg--noise {
    background: url('../img/noise.png') repeat;
}

/* 投稿フィルター */
.archive_list__filter__list {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    list-style: none;
    margin-bottom: 5rem;
    font-size: 1.8rem;
    padding: 0;
}

.archive_list__filter__item {
    display: flex;
    align-items: center;
    cursor: pointer;
    white-space: nowrap;
}

.archive_list__filter__item:not(:last-child)::after {
    content: "/";
    margin: 0 1.5rem;
    color: #000;
}

.archive_list__filter__item--active .archive_list__filter__item__text {
    background-color: #000;
    color: #fff;
    padding: 0.5rem;
}

/* コンテナの表示制御 */
.archive_list__container {
    display: none;
}

.archive_list__container.is-active {
    display: block;
}

/* 投稿リストの表示制御 */
.archive_list__posts {
    display: none;
    list-style: none;
    padding: 0;
    margin: 0;
}

.archive_list__posts.is-active {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
}

.archive_list__posts__item {
    display: flex;
    flex-direction: column;
    width: 38.5rem;
    height: 60rem;
    background-color: #fff;
    padding: 3rem 2.5rem;
    box-sizing: border-box;
}

.archive_list__posts__item.no_item {
    position: relative;
    width: 100%;
    font-size: 1.8rem;
    text-align: center;
    background-color: initial;
}

.archive_list__posts__item__link {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.archive_list__posts__item__link__image-wrap {
    width: 21rem;
    height: 30rem;
    margin: 0 auto 2.8rem;
    display: flex;
    align-items: center;
    justify-content: center;
}

.archive_list__posts__item__link__image {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
}

.archive_list__posts__item__link__image--placeholder {
    width: 21rem;
    height: 30rem;
    background-color: #e0e0e0;
}

.archive_list__posts__item__link__card {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.archive_list__posts__item__link__flex {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

.archive_list__posts__item__link__publish_date {
    font-size: 1.6rem;
}

.archive_list__posts__item__link__title {
    font-size: 2rem;
    font-weight: 700;
    min-height: 4rem;
    margin: .5rem 0 1rem;
    letter-spacing: -.01rem;
}

.archive_list__posts__item__link__date {
    font-size: 1.6rem;
    line-height: 1;
    margin: 2rem 0 3rem;
    text-align: right;
}

.archive_list__posts__item__link__excerpt {
    font-size: 1.6rem;
    line-height: 1.5;
}

.archive_list__posts__item__link__btn {
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 1.8rem;
    letter-spacing: 0.09rem;
    margin-top: auto;
    margin-left: auto;
    padding-bottom: 1rem;
    border-bottom: solid #aeaeae 1px;
    width: 23.5rem;
    height: auto;
    transition: 0.3s;
}

.archive_list__posts__item__link__btn:hover {
    opacity: .65;
}

.archive_list__posts__item__link__btn::before {
    content: "";
    position: absolute;
    bottom: -1px;
    left: 0;
    width: 0;
    height: 1px;
    background-color: #000;
    transition: width .3s;
}

.archive_list__posts__item__link__btn:hover::before {
    width: 100%;
}

.archive_list__posts__item__link__btn svg {
    width: 2.7rem;
}


/* ========== レスポンシブ ========== */
@media screen and (max-width:767px) {

    .archive_list__main,
    .media-archive_list .archive_list__main {
        padding: 3.5rem 0;
    }

    .archive_list__filter__list {
        font-size: 1.6rem;
        gap: 1.5rem 0;
        justify-content: start;
        margin-bottom: 3rem;
    }

    .archive_list__filter__item--active .archive_list__filter__item__text {
        padding: 0.2rem;
    }

    .archive_list__posts__item {
        width: 33rem;
        height: 20rem;
        padding: 1.2rem 1.5rem;
    }

    .archive_list__posts__item__link__card {
        flex-direction: row;
        gap: 1rem;
    }

    .archive_list__posts__item__link__flex {
        width: 16.6rem;
    }

    .archive_list__posts__item__link__image-wrap {
        width: 12.3rem;
        height: 17.4rem;
        margin-bottom: 0;
    }

    .archive_list__posts__item__link__publish_date {
        font-size: 1.1rem;
    }

    .archive_list__posts__item__link__title {
        font-size: 1.4rem;
        line-height: 1.5;
        min-height: initial;
    }

    .archive_list__posts__item__link__date {
        font-size: 1.1rem;
        margin: 0;
    }

    .archive_list__posts__item__link__excerpt {
        font-size: 1.1rem;
    }

    .archive_list__posts__item__link__btn {
        font-size: 1.2rem;
        padding-bottom: .5rem;
        border-bottom: #000 solid 1px;
        width: 13rem;
    }

    .archive_list__posts__item__link__btn svg {
        width: 1.5rem;
    }
}



/*==============================================================================
    書籍一覧
==============================================================================*/

/****************************************

    archive_list-nav

****************************************/
.circle-arrow {
    display: block;
    width: 2.7rem;
    height: 2.7rem;
    margin-left: auto;
    border-radius: 50%;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='28' height='28' fill='none' viewBox='0 0 28 28'%3E%3Ccircle cx='13.523' cy='13.523' r='13.155' stroke='%23000' stroke-width='.735'/%3E%3Cpath stroke='%23000' stroke-width='.735' d='M9.298 13.523h8.45m-4.225-4.226 4.225 4.225-4.225 4.225'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-size: contain;
}

.circle-arrow_white {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='28' height='28' fill='none' viewBox='0 0 28 28'%3E%3Ccircle cx='13.523' cy='13.523' r='13.155' stroke='%23fff' stroke-width='.735'/%3E%3Cpath stroke='%23fff' stroke-width='.735' d='M9.298 13.523h8.45m-4.225-4.226 4.225 4.225-4.225 4.225'/%3E%3C/svg%3E");
}

.archive_list-nav__list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    width: 100%;
}

.archive_list-nav__list li {
    color: #fff;
    height: 23.2rem;
    width: 76.8rem;
}

.archive_list-nav__list li a {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    height: 100%;
    justify-content: center;
    padding: 4.6rem;
    position: relative;
    width: 100%;
}

.archive_list-nav__list li a span:first-child {
    font-family: "Shippori Mincho B1", "Hiragino Mincho ProN", "Yu Mincho", "YuMincho", "MS PMincho", serif;
    font-size: 3rem;
}

.archive_list-nav__list li a span:nth-child(2) {
    font-size: 1.6rem;
    line-height: 1.6;
}

.archive_list-nav__list li a span:last-child {
    position: absolute;
    right: 3.7rem;
    top: 50%;
    transform: translateY(-50%);
}

/* ========== レスポンシブ ========== */
@media screen and (max-width:767px) {

    .archive_list-nav__list {
        grid-template-columns: repeat(1, 1fr);
        width: 100%;
    }

    .archive_list-nav__list li {
        height: 18.2rem;
        width: 100%;
    }

    .archive_list-nav__list li a {
        gap: 1.5rem;
        padding: 4.1rem;
    }

    .archive_list-nav__list li a span:first-child {
        font-size: 2.8rem;
    }

    .archive_list-nav__list li a span:nth-child(2) {
        font-size: 1.2rem;
        line-height: 1.85;
    }

    .archive_list-nav__list li a span:last-child {
        right: 1.7rem;
    }
}



/*==============================================================================
    メディア一覧
==============================================================================*/

/****************************************

    year_filter

****************************************/
.media_list__year_filter {
    margin-bottom: 3.5rem;
    width: fit-content;
    margin-left: auto;
    text-align: center;
    width: 11.8rem;
}

.media_list__year_filter__select-wrap {
    width: 100%;
    position: relative;
}

.media_list__year_filter__select {
    position: relative;
    width: 100%;
    padding: 1.2rem 2rem 1.2rem 0;
    font-size: 1.6rem;
    cursor: pointer;
    border-bottom: 2px solid #A0A0A0;
    background-color: transparent;
    user-select: none;
}

.media_list__year_filter__select::after {
    content: "▼";
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    right: 1rem;
    font-size: 1.6rem;
}

.media_list__year_filter__select__value {
    display: block;
}

.media_list__year_filter__select__value.selected {
    font-size: 2rem;
}

.media_list__year_filter__select__options {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    border: none;
    list-style: none;
    margin: 0;
    padding: 0;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
    z-index: 10;
}

.media_list__year_filter__select-wrap.is-open .media_list__year_filter__select__options {
    max-height: 20rem;
    overflow-y: auto;
    background-color: #fff;
}

.media_list__year_filter__select__option {
    padding: 1.2rem;
    font-size: 1.8rem;
    text-align: center;
    cursor: pointer;
    background-color: transparent;
    border: none;
    transition: background-color 0.2s;
}

.media_list__year_filter__select__option:hover {
    background-color: #ececec;
}

@media screen and (max-width:767px) {
    .media_list__year_filter__select {
        font-size: 1.4rem;
    }

    .media_list__year_filter__select__option {
        font-size: 1.6rem;
    }

    .media_list__year_filter__select__value.selected {
        font-size: 2rem;
    }
}







/*==============================================================================
    詳細ページ archive_list-details_page
==============================================================================*/
main {
    overflow: visible !important;
}

body {
    overflow-x: hidden;
}

.archive_list-details_page .common__media_related_magazines {
    padding-top: 10rem;
}

.media_archive__container p {
    margin-bottom: 2em !important;
}

.archive_list-details_page {
    padding-top: 14rem;
}

.media_archive__header {
    padding: 10rem 0 9rem;
}

.media_archive__header h1 {
    font-size: 5.6rem;
    line-height: 1.3;
}

.media_archive__header .media_archive_date {
    font-size: 1.8rem;
}

@media screen and (max-width:767px) {
    .archive_list-details_page {
        padding-top: 5rem;
    }

    .media_archive__header {
        padding: 6rem 0;
    }

    .media_archive__header h1 {
        font-size: 3.2rem;
    }
}



/****************************************

    media_archive__wrapper

****************************************/

.media_archive__wrapper {
    display: flex;
    align-items: flex-start;
    margin: 0 auto 10rem;
    gap: 10rem;
    position: relative;
}

/* --- 左側コンテンツエリア --- */
.media_archive__thumbnail_wrap {
    position: sticky;
    top: 14rem;
    align-self: flex-start;
    width: 43.3rem;
    height: auto;
}

.media_archive__thumbnail_wrap img {
    width: 100%;
}

.media_archive__thumbnail_wrap p {
    font-size: 1.6rem;
    line-height: 1.2;
    margin-top: 2rem;
}

.media_archive__thumbnail_wrap .common__btn {
    margin: 4rem auto 0;
}


/* --- 右側コンテンツエリア --- */
.media_archive__container {
    flex-grow: 1;
    width: 66.8rem;
}

@media (max-width:767px) {
    .company__fv {
        width: 100%;
        margin-right: 0;
    }

    .media_archive__wrapper {
        gap: 8rem;
        padding: 0;
        flex-direction: column;
        margin-bottom: 5rem;
    }

    /* --- 左側コンテンツエリア --- */
    .media_archive__thumbnail_wrap {
        position: relative;
        top: 0;
        width: 23rem;
        margin: auto;
    }

    /* --- 右側コンテンツエリア --- */
    .media_archive__container {
        width: 100%;
    }
}